# Method: partners.devices.claimAsync

- [HTTP request](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/claimAsync#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/claimAsync#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/claimAsync#body.request_body)
  - [JSON representation](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/claimAsync#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/claimAsync#body.response_body)
- [Authorization Scopes](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/claimAsync#body.aspect)
- [PartnerClaim](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/claimAsync#PartnerClaim)
  - [JSON representation](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/claimAsync#PartnerClaim.SCHEMA_REPRESENTATION)

Claims a batch of devices for a customer asynchronously. Adds the devices to zero-touch enrollment. To learn more, read [Long‑running batch operations](https://developers.google.com/zero-touch/guides/how-it-works#operations).

### HTTP request

`POST https://androiddeviceprovisioning.googleapis.com/v1/partners/{partnerId}/devices:claimAsync`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `partnerId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the reseller partner. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "claims": [ { object (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/claimAsync#PartnerClaim`) } ] } ``` |

| Fields ||
|---|---|
| `claims[]` | ``object (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/claimAsync#PartnerClaim`)`` Required. A list of device claims. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/zero-touch/reference/reseller/rest/v1/operations#Operation`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidworkprovisioning`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## PartnerClaim

Identifies one claim request.

| JSON representation |
|---|
| ``` { "deviceIdentifier": { object (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices#DeviceIdentifier`) }, "sectionType": enum (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices#DeviceProvisioningSectionType`), "deviceMetadata": { object (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices#DeviceMetadata`) }, "preProvisioningToken": string, // Union field `customer` can be only one of the following: "customerId": string, "googleWorkspaceCustomerId": string // End of list of possible types for union field `customer`. } ``` |

| Fields ||
|---|---|
| `deviceIdentifier` | ``object (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices#DeviceIdentifier`)`` Required. Required. Device identifier of the device. |
| `sectionType` | ``enum (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices#DeviceProvisioningSectionType`)`` Required. The section type of the device's provisioning record. |
| `deviceMetadata` | ``object (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices#DeviceMetadata`)`` Required. The metadata to attach to the device at claim. |
| `preProvisioningToken` | `string` Optional. Must and can only be set for Chrome OS devices. |
| Union field `customer`. Required. The customer for whom the device is being claimed. `customer` can be only one of the following: ||
| `customerId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the customer for whom the device is being claimed. |
| `googleWorkspaceCustomerId` | `string` The Google Workspace customer ID. |